using RebootKit.Engine.Input;
using RebootKit.Engine.Main;
using UnityEngine;
using UnityEngine.AddressableAssets;

namespace RebootKit.Engine {
    [CreateAssetMenu(menuName = RConsts.k_AddComponentMenu + RConsts.k_EngineConfigAssetName,
                     fileName = RConsts.k_EngineConfigAssetName)]
    public class EngineConfigAsset : ScriptableObject {
        [Header("Core")]
        public InputService.Config inputConfig;

        [Header("Game")]
        public Game gamePrefab;
        public AssetReference mainMenuScene; 

        // @NOTE: Spacewar, change as needed
        [Header("Steam")]
        public uint steamAppID = 480;
        
        [Header("Network")]
        public byte protocolVersion = 1;
    }
}